## Class TGlobalStateCacheDependency

Description

TGlobalStateCacheDependency class.

TGlobalStateCacheDependency checks if a global state is changed or not. If the global state is changed, the dependency is reported as changed. To specify which global state this dependency should check with, set StateName to the name of the global state.

- since: 3.1.0
- version: $Id: TCache.php 2362 2008-01-10 04:59:06Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Caching/TCache.php (line 556)

    TComponent
       |
       --TCacheDependency
          |
          --TGlobalStateCacheDependency

Method Summary
TGlobalStateCacheDependency __construct (string $name)
boolean getHasChanged ()
string getStateName ()
void setStateName (string $value)
Methods
Constructor __construct (line 565)

Constructor.

- access: public

TGlobalStateCacheDependency __construct (string $name)

- string $name: the name of the global state

getHasChanged (line 593)

Performs the actual dependency checking.

This method returns true if the specified global state is changed.

- return: whether the dependency is changed or not.
- access: public

boolean getHasChanged ()
getStateName (line 573)

- return: the name of the global state
- access: public

string getStateName ()
setStateName (line 582)

- access: public
- see: TApplication::setGlobalState

void setStateName (string $value)

- string $value: the name of the global state

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:32:06 -0400 by phpDocumentor 1.3.0RC4